### Property

# Gtk Label:max-width-chars

#### Declaration

    property max-width-chars: int [ read, write ]

#### Description [src]

The desired maximum width of the label, in characters.

If this property is set to -1, the width will be calculated automatically.

See the section on text layout for details of how `GtkLabel:width-chars` and `GtkLabel:max-width-chars` determine the width of ellipsized and wrapped labels.

Type:`gint`

Default value | -1
Getter method | `gtk_label_get_max_width_chars()`
Setter method | `gtk_label_set_max_width_chars()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no